import React, { useRef } from "react";
import { View, TouchableOpacity, Text } from "react-native";
import Ionicons from "react-native-vector-icons/Ionicons";

export const CarouselTypeChanger = ({
  locationStatus,
  position,
  mapsRef,
  stationListMode,
  setStationListMode,setSelectedCurrentStation
}) => {
  return (
    <View style={{ width: "100%", height: 40, flexDirection: "row" }}>
      <TouchableOpacity
        style={{
          flex: 1,
          backgroundColor: "#0099CC",
          padding: 5,
          alignItems: "center",
          flexDirection: "row",
          marginHorizontal: 5,
          borderTopLeftRadius: 20,
          borderTopRightRadius: 20,
          borderBottomLeftRadius: stationListMode == "position" ? 0 : 20,
          borderBottomRightRadius: stationListMode == "position" ? 0 : 20,
        }}
        disabled={!locationStatus}
        onPress={() => {
          if (!position) return;
          const { latitude, longitude } = position.coords;
          mapsRef.current.animateToRegion(
            {
              latitude,
              longitude,
              latitudeDelta: 0.05,
              longitudeDelta: 0.05,
            },
            1000
          );
          setStationListMode("position");
        }}
      >
        <Ionicons
          name="locate-outline"
          size={14}
          color="white"
          style={{ margin: 5 }}
        />
        <Text
          style={{
            color: "white",
            fontSize: 14,
            fontWeight: "bold",
            flex: 1,
            textAlign: "center",
          }}
        >
          現在地基準
        </Text>
      </TouchableOpacity>
      <TouchableOpacity
        style={{
          padding: 5,
          alignItems: "center",
          flexDirection: "row",
          marginHorizontal: 5,
          borderRadius: 50,
        }}
        disabled={true}
        onPress={() => {
          if (!position) return;
          const { latitude, longitude } = position.coords;
          mapsRef.current.animateToRegion(
            {
              latitude,
              longitude,
              latitudeDelta: 0.05,
              longitudeDelta: 0.05,
            },
            1000
          );
        }}
      >
        <Ionicons
          name="menu"
          size={30}
          color="#0099CC"
          style={{ marginHorizontal: 5 }}
        />
      </TouchableOpacity>
      <TouchableOpacity
        style={{
          flex: 1,
          backgroundColor: "#0099CC",
          padding: 5,
          alignItems: "center",
          flexDirection: "row",
          marginHorizontal: 5,
          borderTopLeftRadius: 20,
          borderTopRightRadius: 20,
          borderBottomLeftRadius: stationListMode == "favorite" ? 0 : 20,
          borderBottomRightRadius: stationListMode == "favorite" ? 0 : 20,
        }}
        onPress={() => {
          // お気に入りリスト更新
          setStationListMode("favorite");
          setSelectedCurrentStation(0);
        }}
      >
        <Ionicons name="star" size={14} color="white" style={{ margin: 5 }} />
        <Text
          style={{
            color: "white",
            fontSize: 14,
            fontWeight: "bold",
            flex: 1,
            textAlign: "center",
          }}
        >
          お気に入りリスト
        </Text>
      </TouchableOpacity>
    </View>
  );
};
